## r-cran-ksamples 1.2

=== DESCRIPTION ===
Package: kSamples
Type: Package
Title: K-Sample Rank Tests and their Combinations
Version: 1.2-9
Date: 2019-05-20
Authors@R: c(person("Fritz", "Scholz",role=c("aut","cre"),email =
        "fscholz@u.washington.edu"), person("Angie", "Zhu", role=c("aut"),
        email= "a.zhu.stat@gmail.com"))
Author: Fritz Scholz [aut, cre],
  Angie Zhu [aut]
Maintainer: Fritz Scholz <fscholz@u.washington.edu>
Depends: SuppDists
Imports: methods, graphics, stats
Description: Compares k samples using the Anderson-Darling test, Kruskal-Wallis type tests 
	with different rank score criteria, Steel's multiple comparison test, and the 
        Jonckheere-Terpstra (JT) test. It computes asymptotic, simulated or (limited) exact 
        P-values, all valid under randomization, with or without ties, or conditionally 
        under random sampling from populations, given the observed tie pattern.  Except for 
        Steel's test and the JT test it also combines these tests across several blocks of 
	samples.  Also analyzed are 2 x t contingency tables and their blocked combinations 
	using the Kruskal-Wallis criterion.  Steel's test is inverted to provide simultaneous 
	confidence bounds for shift parameters.  A plotting function compares tail probabilities
	obtained under asymptotic approximation with those obtained via simulation or exact 
	calculations.
License: GPL (>= 2)
LazyLoad: yes
NeedsCompilation: yes
Packaged: 2019-05-20 21:03:07 UTC; fritz
Repository: CRAN
Date/Publication: 2019-05-20 21:50:03 UTC

## r-cran-ksamples 1.2-9

=== debian/changelog ===
r-cran-ksamples (1.2-9-2) unstable; urgency=medium

  * Team upload.

 -- Andreas Tille <tille@debian.org>  Sat, 08 Aug 2020 17:48:41 +0200

r-cran-ksamples (1.2-9-1) unstable; urgency=medium

  * Initial release (closes: #966559)

 -- Shayan Doust <hello@shayandoust.me>  Wed, 05 Aug 2020 11:12:25 +0000

=== debian/control ===
Source: r-cran-ksamples
Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
Uploaders: Shayan Doust <hello@shayandoust.me>
Section: gnu-r
Testsuite: autopkgtest-pkg-r
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-r,
               r-base-dev,
               r-cran-suppdists
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-ksamples
Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-ksamples.git
Homepage: https://cran.r-project.org/package=kSamples
Rules-Requires-Root: no

Package: r-cran-ksamples
Architecture: any
Depends: ${R:Depends},
         ${shlibs:Depends},
         ${misc:Depends}
Recommends: ${R:Recommends}
Suggests: ${R:Suggests}
Description: GNU R K-Sample Rank Tests and their Combinations
 Compares k samples using the Anderson-Darling test, Kruskal-Wallis type
 tests with different rank score criteria, Steel's multiple comparison
 test, and the Jonckheere-Terpstra (JT) test. It computes asymptotic,
 simulated or (limited) exact P-values, all valid under randomization,
 with or without ties, or conditionally under random sampling from
 populations, given the observed tie pattern. Except for Steel's test and
 the JT test it also combines these tests across several blocks of
 samples. Also analyzed are 2 x t contingency tables and their blocked
 combinations using the Kruskal-Wallis criterion. Steel's test is
 inverted to provide simultaneous confidence bounds for shift parameters.
 A plotting function compares tail probabilities obtained under
 asymptotic approximation with those obtained via simulation or exact
 calculations.

=== debian/watch ===
version=4
https://cloud.r-project.org/src/contrib/kSamples_([-\d.]*)\.tar\.gz

## r-cran-ksamples 1.2-10

=== debian/changelog ===
r-cran-ksamples (1.2-10-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.2 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)

 -- Andreas Tille <tille@debian.org>  Fri, 13 Oct 2023 22:49:00 +0200

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,18 @@
 Source: r-cran-ksamples
+Section: gnu-r
+Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Shayan Doust <hello@shayandoust.me>
-Section: gnu-r
-Testsuite: autopkgtest-pkg-r
-Priority: optional
+Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-ksamples
+Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-ksamples.git
+Homepage: https://cran.r-project.org/package=kSamples
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 13),
                dh-r,
                r-base-dev,
                r-cran-suppdists
-Standards-Version: 4.5.0
-Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-ksamples
-Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-ksamples.git
-Homepage: https://cran.r-project.org/package=kSamples
-Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-ksamples
 Architecture: any

## r-cran-ksamples 1.2-12

=== debian/changelog ===
r-cran-ksamples (1.2-12-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.7.3 (routine-update)
  * Restrict to 64-bits architectures (routine-update)
  * Restrict to little-endian architectures (routine-update)

 -- Charles Plessy <plessy@debian.org>  Fri, 26 Dec 2025 14:45:16 +0900

=== debian/control ===
--- 
+++ 
@@ -1,18 +1,20 @@
 Source: r-cran-ksamples
-Section: gnu-r
-Priority: optional
 Maintainer: Debian R Packages Maintainers <r-pkg-team@alioth-lists.debian.net>
 Uploaders: Shayan Doust <hello@shayandoust.me>
+Section: gnu-r
+Testsuite: autopkgtest-pkg-r
+Priority: optional
+Build-Depends: debhelper-compat (= 13),
+               dh-r,
+               r-base-dev,
+               r-cran-suppdists,
+               architecture-is-64-bit,
+               architecture-is-little-endian
+Standards-Version: 4.7.3
 Vcs-Browser: https://salsa.debian.org/r-pkg-team/r-cran-ksamples
 Vcs-Git: https://salsa.debian.org/r-pkg-team/r-cran-ksamples.git
 Homepage: https://cran.r-project.org/package=kSamples
-Standards-Version: 4.6.2
 Rules-Requires-Root: no
-Build-Depends: debhelper-compat (= 13),
-               dh-r,
-               r-base-dev,
-               r-cran-suppdists
-Testsuite: autopkgtest-pkg-r
 
 Package: r-cran-ksamples
 Architecture: any
